Page MenuHomePhabricator

[OpenCL] Remove PIPE_RESERVE_ID_VALID_BIT from opencl-c.h
ClosedPublic

Authored by sidorovd on Sep 28 2018, 9:18 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

sidorovd created this revision.Sep 28 2018, 9:18 AM
sidorovd retitled this revision from [OpenCL] Remove PIPE_RESERVE_ID_VALID_BIT from the common header to [OpenCL] Remove PIPE_RESERVE_ID_VALID_BIT from opencl-c.h.Oct 1 2018, 3:41 AM

Does it mean we should close https://reviews.llvm.org/D32896?

Would it make sense to keep this value as Clang implementation and if vendors need to change this they can undef it and redefine a new value. Would this work?

Does it mean we should close https://reviews.llvm.org/D32896?

Yes

Would it make sense to keep this value as Clang implementation and if vendors need to change this they can undef it and redefine a new value. Would this work?

This would work, but the macro isn't existing in the spec and while there already is implementation defined function 'is_valid_reserve_id()' I don't see any reason for PIPE_RESERVE_ID_VALID_BIT to be defined in the header.

I am OK with the change.

Anastasia accepted this revision.Oct 5 2018, 9:01 AM

LGTM!

This revision is now accepted and ready to land.Oct 5 2018, 9:01 AM
This revision was automatically updated to reflect the committed changes.